@import url('https://fonts.googleapis.com/css2?family=Protest+Guerrilla&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    width: 100%;
    height: 100%;
    background-color: black;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
    flex-direction: column;
}

#logo {
    width: 20vw;
}

h1 {
    color: aliceblue;
    font-family: "Protest Guerrilla", sans-serif;
    text-align: center;
}

#name {
    color: rgb(212, 43, 122);
    font-size: 45px;
}

#va {
    color: rgb(43, 206, 212);
    font-size: 45px;
}

#voice {
    width: 100px;
    display: none;
}

#btn {
    width: 80%;
    max-width: 300px;
    background: linear-gradient(to right, rgb(21, 145, 207), rgb(201, 41, 116));
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    font-size: 20px;
    border-radius: 20px;
    color: white;
    box-shadow: 2px 2px 10px rgb(21, 145, 207), 2px 2px 10px rgb(201, 41, 116);
    border: none;
    transition: all 0.5s;
    cursor: pointer;
}

#btn:hover {
    box-shadow: 2px 2px 20px rgb(21, 145, 207), 2px 2px 20px rgb(201, 41, 116);
    letter-spacing: 2px;
}

/* Responsive Design */
@media screen and (max-width: 768px) {
    #logo {
        width: 50vw;
    }

    h1 {
        font-size: 28px;
    }

    #name, #va {
        font-size: 30px;
    }

    #btn {
        font-size: 20px;
        padding: 8px;
    }
}

@media screen and (max-width: 480px) {
    #logo {
        width: 70vw;
    }

    h1 {
        font-size: 24px;
    }

    #name, #va {
        font-size: 24px;
    }

    #btn {
        flex-direction: column;
        font-size: 18px;
        padding: 6px;
        gap: 5px;
    }
}